
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #542

Option to suppress error popup on crossfade failure

May 10, 2015 01:15 - Will F.

Status: Closed Start date: May 10, 2015

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/crossfade Estimated time: 0.00 hour

Target version: 3.7.1   

Affects version: 3.6.1   

Description

I'd like to request a feature to suppress the error notifications on crossfade failure, when the songs' sample rates don't match.

History

#1 - May 11, 2015 01:00 - John Lindgren

Why don't you enable the resampling effect as the message suggests?

#2 - May 17, 2015 10:59 - Will F.

John Lindgren wrote:

Why don't you enable the resampling effect as the message suggests?

 

Sorry for the late reply. The thing is that resampling spends more cpu resources. Without it the cpu usage of audacious is tiny. On an older, slow

machine, high quality resampling with crossfading doesn't even work as expected. The lowest resampling quality setting doesn't sound too good. I'm

not sure about the quality settings in between. But it would still be nice if resampling could be disabled and just have crossfading when possible.

#3 - May 17, 2015 18:47 - John Lindgren

I'm surprised that you would notice the extra CPU load.  Most Linux systems nowadays are configured to do some kind of software resampling

anyway, so whatever extra CPU is taken by Audacious should be made up for by savings at the system level (provided Audacious is resampling to

whatever rate the system is using).  On my machine, enabling the linear interpolation method within Audacious actually uses slightly less overall CPU

time than leaving ALSA to do the resampling.

The trouble with just disabling the message is that you will still lose audio data when the song changes.  If you had the crossfade overlap set to 10

seconds, then the last 10 seconds of the song (which were buffered in order to perform the crossfade) will be cut off when the next song starts.

#4 - May 18, 2015 10:28 - Will F.

Ok, so I guess losing audio is not worth it. Thanks for everything.

I don't notice much difference in cpu usage between the resampling qualities src-sinc-best-quality and speex-float-10. Pulseaudio seems to use

speex-float-3 by default, these days. But what causes increased CPU usage for me is setting the rate to 48000. I don't suppose it makes much

difference to human ears between 48000 and 44100, but that's just a guess.
#5 - December 08, 2015 06:12 - John Lindgren

- Category set to plugins/crossfade

- Status changed from New to Closed

- Target version set to 3.7.1

- % Done changed from 0 to 100

This annoyance was solved in 3.7.  I forgot we had a ticket open for it.

https://github.com/audacious-media-player/audacious-plugins/commit/9e1608e8667c99c6ec9943a25205a965a1d6eb0d

Powered by TCPDF (www.tcpdf.org)

July 12, 2025 2/2

https://github.com/audacious-media-player/audacious-plugins/commit/9e1608e8667c99c6ec9943a25205a965a1d6eb0d
http://www.tcpdf.org

